hpp-corbaserver: UniformSeedable Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
UniformSeedable Class Reference

`#include <hpp/core_idl/configuration_shooters-idl.hh>`

Inheritance diagram for UniformSeedable:
[legend]
Collaboration diagram for UniformSeedable:
[legend]

## Public Types
typedef UniformSeedable_ptr | _ptr_type
typedef UniformSeedable_var | _var_type
Public Types inherited from ConfigurationShooter
typedef ConfigurationShooter_ptr | _ptr_type
typedef ConfigurationShooter_var | _var_type

## Public Member Functions
virtual | ~UniformSeedable ()
inline ::hpp::core_idl::configuration_shooter::UniformSeedable_ptr | _this ()
Public Member Functions inherited from ConfigurationShooter
virtual | ~ConfigurationShooter ()
inline ::hpp::core_idl::ConfigurationShooter_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from ConfigurationShooter
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from ConfigurationShooter
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef UniformSeedable_ptr UniformSeedable::_ptr_type

## ◆ _var_type

typedef UniformSeedable_var UniformSeedable::_var_type

## Constructor & Destructor Documentation

## ◆ ~UniformSeedable()

virtual UniformSeedable::~UniformSeedable | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type UniformSeedable::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type UniformSeedable::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void UniformSeedable::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type UniformSeedable::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type UniformSeedable::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::configuration_shooter::UniformSeedable_ptr UniformSeedable::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type UniformSeedable::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type UniformSeedable::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* UniformSeedable::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/configuration_shooters-idl.hh